-- true/false defn
FALSE = 0
TRUE = 1

-- condition return values
CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

-- Message types
MT_INFO = 0
MT_ALERT = 1

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32

MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2

function OnEvent( event )
    if string.sub(event, 1, 5) == "PLAY_" then
        SysCall("ScenarioManager:PlayDialogueSound", string.sub(event, 6) .. ".wav");
    end

    if event == "INIT" then
        SysCall( "ScenarioManager:BeginConditionCheck", "DepartureTimeFFM" )
    end
end

function TestCondition( condition )
    if condition == "DepartureTimeFFM" then
        timeofday = SysCall( "ScenarioManager:GetTimeOfDay" )
        if timeofday > 58055 then
            SysCall( "ScenarioManager:PlayDialogueSound", "ffm-gleis-22.wav" )
            return CONDITION_SUCCEEDED
        end
        return CONDITION_NOT_YET_MET
    end
end
